=== debian/control ===
Source: akonadi
Section: libs
Priority: optional
Uploaders: Sune Vuorela <debian@pusling.com>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dh-apparmor,
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kitemviews-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               libaccounts-qt6-dev,
               libboost-dev (>= 1.34.0~),
               libkaccounts-dev,
               liblzma-dev,
               libpq-dev,
               libsignon-qt6-dev,
               libsqlite3-dev (>= 3.6.23),
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-tools-dev,
               shared-mime-info (>= 1.8~),
               xsltproc
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/akonadi
Vcs-Git: https://invent.kde.org/neon/kde/akonadi.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadi
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-akonadi
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-extra-cmake-modules,
         kf6-kirigami,
         kf6-kirigami-addons,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: merkuro (<= 25.04.3+p24.04+vstable+git20250707.0612-0)
Conflicts: kjots, knotes, kpim6-akonadi-notes
Provides: libkpim6akonadiagentbase6,
          libkpim6akonadicore6,
          libkpim6akonadiprivate6,
          libkpim6akonadiwidgets6,
          libkpim6akonadixml6
Replaces: akonadi-backend-sqlite,
          akonadi-server,
          libakonadi-data,
          libkf5akonadi-data,
          libkf5akonadiagentbase5,
          libkf5akonadicore-bin,
          libkf5akonadicore5,
          libkf5akonadicore5abi2,
          libkf5akonadiprivate5,
          libkf5akonadiprivate5abi2,
          libkf5akonadiwidgets5,
          libkf5akonadiwidgets5abi1,
          libkf5akonadixml5,
          libkpim5akonadi-data,
          libkpim5akonadiagentbase,
          libkpim5akonadicore5,
          libkpim5akonadiprivate5,
          libkpim5akonadiwidgets5,
          libkpim5akonadixml5,
          merkuro (<= 25.04.3+p24.04+vstable+git20250707.0612-0)
Description: Akonadi core library
 This library contains Akonadi PIM data server core classes.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kpim6-akonadi-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-extra-cmake-modules,
         kf6-kcompletion-dev,
         kf6-kitemmodels-dev,
         kf6-kxmlgui-dev,
         kpim6-akonadi (= ${binary:Version}),
         libboost-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: merkuro-dev (<= 25.04.3+p24.04+vstable+git20250707.0612-0)
Replaces: libakonadi-dev,
          libakonadi-dev-bin,
          libkf5akonadi-dev,
          libkf5akonadi-dev-bin,
          libkpim5akonadi-dev,
          libkpim5akonadi-dev-bin,
          merkuro-dev (<= 25.04.3+p24.04+vstable+git20250707.0612-0)
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: akonadi-backend-mysql
Architecture: any
Depends: mariadb-client-core, mariadb-server-core, qt6-base, ${misc:Depends}
Recommends: akonadi-server
Description: MySQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with MySQL
 as underlying data storage engine. By default, a local MySQL server instance
 will be started for each user. Alternatively, connection to an external MySQL

Package: akonadi-backend-postgresql
Architecture: any
Depends: postgresql, qt6-base, ${misc:Depends}
Recommends: akonadi-server
Description: PostgreSQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with
 PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
 server instance will be started for each user. Alternatively, connection to an
 external PostgreSQL database is supported as well.

Package: akonadi-backend-sqlite
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: akonadi-server
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libakonadi-data
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libakonadi-dev
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libakonadi-dev-bin
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadi-data
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadi-dev
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadi-dev-bin
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadiagentbase5
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicore5
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadiprivate5
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadiserver-dev
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadiwidgets5
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadixml5
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadi-data
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadi-dev
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadi-dev-bin
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadiagentbase5
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicore-bin
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicore5
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicore5abi2
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadiprivate5
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadiprivate5abi2
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadiserver-dev
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadiwidgets5
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadiwidgets5abi1
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadixml5
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
