=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus-x11,
         libgl1-mesa-dri,
         libxml2-utils,
         psmisc,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed
