## akonadi 25.08.2+p24.04+vstable+git20251020.2130

=== debian/changelog ===
akonadi (4:25.08.2+p24.04+vstable+git20251020.2130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 21:30:18 +0000
